<?php
/***************************************************************************
 *
 *  Professional database management plugin (/inc/plugins/dbs.php)
 *  Author: Hamed.Ramzi
 *  Copyright: © 2009-2010 Hamed.Ramzi
 *  
 *  Website: http://aryan-translators.ir
 *  License: license.txt
 *
 *  Convenient access to the database and perform all the commands in the Administrator panel
 *
 ***************************************************************************/


if(!defined("IN_MYBB"))
	die("This file cannot be accessed directly.");

// add hooks
$plugins->add_hook('admin_style_templates', 'dbs_tpl_page', 10, '');

function dbs_info()
{
	return array(
		"name"			=> "Professional database management",
		"description"	=> "Convenient access to the database and perform all the commands in the Administrator panel",
		"website"		=> "http://aryan-translators.ir",
		"author"		=> "Hamed.Ramzi",
		"authorsite"	=> "http://aryan-translators.ir",
		"version"		=> "*",
		"guid" 		=> "",
		"compatibility"	=> "14*"
	);
}


function dbs_activate()
{
	global $db, $lang;
	// create settings group
	$insertarray = array(
		'name' => 'database management', 
		'title' => 'database management', 
		'description' => "Settings Professional database management active in information", 
		'disporder' => 100, 
		'isdefault' => 1
	);
	$gid = $db->insert_query("settinggroups", $insertarray);
	// add settings
	rebuild_settings();

	// add templates

}


function dbs_deactivate()
{
	global $db, $mybb;
	// delete settings group
	$db->delete_query("settinggroups", "name = 'database management'");

	// remove settings
	$db->delete_query('settings', 'name IN ()');

	
	// remove templates
	$db->delete_query('templates', 'title IN ()');


	rebuild_settings();

}

?>
