<?php
/***************************************************************************
 *
 *  Professional database management"nt plugin (/inc/plugins/dbs.php)
 *  Author: Hamed.Ramzi
 *  Copyright: © 2011 Hamed.Ramzi
 * MyBB 1.6
 * Copyright 2010 MyBB Group, All Rights Reserved
 *
 * Website: http://mybb.com
 * License: http://mybb.com/about/license
 *
 * $Id: php_info.php 5016 2010-06-12 00:24:02Z RyanGordon $
 *
 *  Convenient access to the database and perform all the commands in the Administrator panel
 *
 ***************************************************************************/

$plugins->add_hook("admin_tools_menu_logs", "dbs_admin_nav");
$plugins->add_hook("admin_tools_action_handler", "dbs_action_handler");
$plugins->add_hook("admin_load", "dbs");
$plugins->add_hook("admin_tools_permissions", "dbs_admin_permissions");

function dbs_info()
{
    return array(
        'name'        => 'Professional database management',
        'description' => 'Easy access to the database and perform all such orders on the panel\'s backup.Import database from a full database Vbrrsy. Access to all databases in the database, and ....',
        'website'     => 'http://mods.mybboard.net/',
        'version'     => '1.0',
        'author'      => 'hamed.ramzi(gh)',
        'authorsite'  => 'http://aryan-ranslators.ir/',
        'guid'        => '6636db3e813afefe6f7767373c823b84'
    );
}

function dbs_activate()
{
	change_admin_permission('tools', 'dbs');

}

function dbs_deactivate()
{
	change_admin_permission('tools', 'dbs', -1);
}

function dbs_admin_nav(&$sub_menu)
{
	global $mybb, $lang;

	$lang->load("tools_dbs", false, true);
		
	end($sub_menu);
	$key = (key($sub_menu))+10;

	if(!$key)
	{
		$key = '100';
	}
	
	$sub_menu[$key] = array('id' => 'dbs', 'title' => "Professional database management", 'link' => "index.php?module=tools-dbs");
}

function dbs_action_handler(&$action)
{
	$action['dbs'] = array('active' => 'dbs', 'file' => '');
}

function dbs_admin_permissions(&$admin_permissions)
{
  	global $db, $mybb, $lang;
		
	$lang->load("tools_dbs", false, true);
		
	$admin_permissions['dbs'] = " Professional database management";
}

function dbs()
{
	global $mybb, $db, $page, $theme;

	if($page->active_action != "dbs")
	{
		return;
	}
	
	$page->add_breadcrumb_item("Professional database management");

	$page->output_header("Professional database management");

	echo "<iframe src='modules/tools/dbs/index.php' width='70%' height='500' frameborder='0'>{$lang->browser_no_iframe_support}</iframe>";

	$page->output_footer();
}
?>